@echo off
echo SURFACE PRESSURE FORECAST EUROPE from the UK MET OFFICE
echo These charts of surface pressure, from analysis (T+0) to the 
echo 84-hour forecast (T+84) are produced daily around 0730 UTC. 
echo.
echo.

set longfilename=%1
set shortfilename1=%longfilename:~0,12%
set InputDrive=%2
set InputDir=%3
set OutputDrive=%4
set OutputDir=%5
set gdalDir=%6
set IlwDir=%7
set UtilDir=%8
set irfanviewdir=%9

cd\
%OutputDrive%
cd %OutputDir%

echo your current working directory = %OutputDrive%\%OutputDir%
echo.
echo.



"%UtilDir%\wget\wget.exe"  http://www.wetterzentrale.de/pics/bracka.gif
"%UtilDir%\wget\wget.exe"  http://www.wetterzentrale.de/pics/brack0.gif
"%UtilDir%\wget\wget.exe"  http://www.wetterzentrale.de/pics/brack0a.gif

"%UtilDir%\wget\wget.exe"  http://www.wetterzentrale.de/pics/brack1.gif
"%UtilDir%\wget\wget.exe"  http://www.wetterzentrale.de/pics/brack1a.gif
"%UtilDir%\wget\wget.exe"  http://www.wetterzentrale.de/pics/brack2.gif
"%UtilDir%\wget\wget.exe"  http://www.wetterzentrale.de/pics/brack2a.gif
"%UtilDir%\wget\wget.exe"  http://www.wetterzentrale.de/pics/brack3.gif
"%UtilDir%\wget\wget.exe"  http://www.wetterzentrale.de/pics/brack4.gif



echo off
if not exist "%OutputDrive%\%OutputDir%\brack?.gif"  goto MESSAGE
echo The pressure analysis and forecast files have been retrieved and transferred to your current working directory
echo.
echo.

GOTO START

:MESSAGE
echo The input file was not found in the archive.
echo Data is retrieved from http://www.wetterzentrale.de/pics/
echo Check also manually if the data exists on ftp archive (see link above)
echo Internet has a transient nature - addresses might not be valid or has changed after some time!


pause

GOTO END

:START

rem generate TXT file
echo %OutputDrive%\%OutputDir%\bracka.gif > %OutputDrive%\%OutputDir%\UK_MET.txt
echo %OutputDrive%\%OutputDir%\brack0.gif >> %OutputDrive%\%OutputDir%\UK_MET.txt
echo %OutputDrive%\%OutputDir%\brack0a.gif >> %OutputDrive%\%OutputDir%\UK_MET.txt
echo %OutputDrive%\%OutputDir%\brack1.gif >> %OutputDrive%\%OutputDir%\UK_MET.txt
echo %OutputDrive%\%OutputDir%\brack1a.gif >> %OutputDrive%\%OutputDir%\UK_MET.txt
echo %OutputDrive%\%OutputDir%\brack2.gif >> %OutputDrive%\%OutputDir%\UK_MET.txt
echo %OutputDrive%\%OutputDir%\brack2a.gif >> %OutputDrive%\%OutputDir%\UK_MET.txt
echo %OutputDrive%\%OutputDir%\brack3.gif >> %OutputDrive%\%OutputDir%\UK_MET.txt
echo %OutputDrive%\%OutputDir%\brack4.gif >> %OutputDrive%\%OutputDir%\UK_MET.txt
echo %OutputDrive%\%OutputDir%\brack0.gif >> %OutputDrive%\%OutputDir%\UK_MET.txt
echo %OutputDrive%\%OutputDir%\brack0a.gif >> %OutputDrive%\%OutputDir%\UK_MET.txt
echo %OutputDrive%\%OutputDir%\brack1.gif >> %OutputDrive%\%OutputDir%\UK_MET.txt
echo %OutputDrive%\%OutputDir%\brack1a.gif >> %OutputDrive%\%OutputDir%\UK_MET.txt
echo %OutputDrive%\%OutputDir%\brack2.gif >> %OutputDrive%\%OutputDir%\UK_MET.txt
echo %OutputDrive%\%OutputDir%\brack2a.gif >> %OutputDrive%\%OutputDir%\UK_MET.txt
echo %OutputDrive%\%OutputDir%\brack3.gif >> %OutputDrive%\%OutputDir%\UK_MET.txt
echo %OutputDrive%\%OutputDir%\brack4.gif >> %OutputDrive%\%OutputDir%\UK_MET.txt
echo %OutputDrive%\%OutputDir%\brack0.gif >> %OutputDrive%\%OutputDir%\UK_MET.txt
echo %OutputDrive%\%OutputDir%\brack0a.gif >> %OutputDrive%\%OutputDir%\UK_MET.txt
echo %OutputDrive%\%OutputDir%\brack1.gif >> %OutputDrive%\%OutputDir%\UK_MET.txt
echo %OutputDrive%\%OutputDir%\brack1a.gif >> %OutputDrive%\%OutputDir%\UK_MET.txt
echo %OutputDrive%\%OutputDir%\brack2.gif >> %OutputDrive%\%OutputDir%\UK_MET.txt
echo %OutputDrive%\%OutputDir%\brack2a.gif >> %OutputDrive%\%OutputDir%\UK_MET.txt
echo %OutputDrive%\%OutputDir%\brack3.gif >> %OutputDrive%\%OutputDir%\UK_MET.txt
echo %OutputDrive%\%OutputDir%\brack4.gif >> %OutputDrive%\%OutputDir%\UK_MET.txt
echo %OutputDrive%\%OutputDir%\brack0.gif >> %OutputDrive%\%OutputDir%\UK_MET.txt
echo %OutputDrive%\%OutputDir%\brack0a.gif >> %OutputDrive%\%OutputDir%\UK_MET.txt
echo %OutputDrive%\%OutputDir%\brack1.gif >> %OutputDrive%\%OutputDir%\UK_MET.txt
echo %OutputDrive%\%OutputDir%\brack1a.gif >> %OutputDrive%\%OutputDir%\UK_MET.txt
echo %OutputDrive%\%OutputDir%\brack2.gif >> %OutputDrive%\%OutputDir%\UK_MET.txt
echo %OutputDrive%\%OutputDir%\brack2a.gif >> %OutputDrive%\%OutputDir%\UK_MET.txt
echo %OutputDrive%\%OutputDir%\brack3.gif >> %OutputDrive%\%OutputDir%\UK_MET.txt
echo %OutputDrive%\%OutputDir%\brack4.gif >> %OutputDrive%\%OutputDir%\UK_MET.txt
echo %OutputDrive%\%OutputDir%\brack0.gif >> %OutputDrive%\%OutputDir%\UK_MET.txt
echo %OutputDrive%\%OutputDir%\brack0a.gif >> %OutputDrive%\%OutputDir%\UK_MET.txt
echo %OutputDrive%\%OutputDir%\brack1.gif >> %OutputDrive%\%OutputDir%\UK_MET.txt
echo %OutputDrive%\%OutputDir%\brack1a.gif >> %OutputDrive%\%OutputDir%\UK_MET.txt
echo %OutputDrive%\%OutputDir%\brack2.gif >> %OutputDrive%\%OutputDir%\UK_MET.txt
echo %OutputDrive%\%OutputDir%\brack2a.gif >> %OutputDrive%\%OutputDir%\UK_MET.txt
echo %OutputDrive%\%OutputDir%\brack3.gif >> %OutputDrive%\%OutputDir%\UK_MET.txt
echo %OutputDrive%\%OutputDir%\brack4.gif >> %OutputDrive%\%OutputDir%\UK_MET.txt
echo %OutputDrive%\%OutputDir%\brack0.gif >> %OutputDrive%\%OutputDir%\UK_MET.txt
echo %OutputDrive%\%OutputDir%\brack0a.gif >> %OutputDrive%\%OutputDir%\UK_MET.txt
echo %OutputDrive%\%OutputDir%\brack1.gif >> %OutputDrive%\%OutputDir%\UK_MET.txt
echo %OutputDrive%\%OutputDir%\brack1a.gif >> %OutputDrive%\%OutputDir%\UK_MET.txt
echo %OutputDrive%\%OutputDir%\brack2.gif >> %OutputDrive%\%OutputDir%\UK_MET.txt
echo %OutputDrive%\%OutputDir%\brack2a.gif >> %OutputDrive%\%OutputDir%\UK_MET.txt
echo %OutputDrive%\%OutputDir%\brack3.gif >> %OutputDrive%\%OutputDir%\UK_MET.txt
echo %OutputDrive%\%OutputDir%\brack4.gif >> %OutputDrive%\%OutputDir%\UK_MET.txt
echo %OutputDrive%\%OutputDir%\brack0.gif >> %OutputDrive%\%OutputDir%\UK_MET.txt
echo %OutputDrive%\%OutputDir%\brack0a.gif >> %OutputDrive%\%OutputDir%\UK_MET.txt
echo %OutputDrive%\%OutputDir%\brack1.gif >> %OutputDrive%\%OutputDir%\UK_MET.txt
echo %OutputDrive%\%OutputDir%\brack1a.gif >> %OutputDrive%\%OutputDir%\UK_MET.txt
echo %OutputDrive%\%OutputDir%\brack2.gif >> %OutputDrive%\%OutputDir%\UK_MET.txt
echo %OutputDrive%\%OutputDir%\brack2a.gif >> %OutputDrive%\%OutputDir%\UK_MET.txt
echo %OutputDrive%\%OutputDir%\brack3.gif >> %OutputDrive%\%OutputDir%\UK_MET.txt
echo %OutputDrive%\%OutputDir%\brack4.gif >> %OutputDrive%\%OutputDir%\UK_MET.txt


set irfanviewdir=%irfanviewdir:~2,-2%

"%irfanviewdir%" /slideshow=%OutputDrive%\%OutputDir%\UK_MET.txt /closeslideshow


del %OutputDrive%\%OutputDir%\brack*.gif
del %OutputDrive%\%OutputDir%\UK_MET.txt


:END
"%IlwDir%\ilwis.exe" -C closeall