@echo off
rem import gwadi-persiann from ftp://hydis8.eng.uci.edu/pub/PERSIANN/
rem sub directory tar_3hr/ and tar_6hr/
rem input is unzipped 3 or 6 hourly file name format raw6hr1209200.bin.gz or raw3hr1209200.bin.gz
rem filename string used is raw3hr1209200.bin or raw6hr1209200.bin
rem input filename=yy day of year and start time of accumulation period
rem raw6hr0512512.bin is 2005, day of year =129 and starting hour of accumulation period is 12 UTC
rem raw6hr0006100.bin
call inputparam.bat

set longfilename=%1

rem set product type of 3 or 6 hour accumulation period
set shortfilename1=%longfilename:~3,1%

set shortfilename2=%longfilename:~6,2%
set shortfilename3=%longfilename:~8,3%
set shortfilename4=%longfilename:~11,2%

echo Currently processing raw%shortfilename1%hr%shortfilename2%%shortfilename3%%shortfilename4%



"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\gwadiT_%shortfilename1%h%shortfilename2%%shortfilename3%%shortfilename4%:=map('%OutputDrive%\%OutputDir%\raw%shortfilename1%hr%shortfilename2%%shortfilename3%%shortfilename4%.bin',genras,Convert,1440,0,Real,4,SwapBytes)
"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\gwadieast_%shortfilename1%h%shortfilename2%%shortfilename3%%shortfilename4%.mpr:=MapSubMap(%OutputDrive%\%OutputDir%\gwadiT_%shortfilename1%h%shortfilename2%%shortfilename3%%shortfilename4%,1,1,400,720)
"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\gwadiwest_%shortfilename1%h%shortfilename2%%shortfilename3%%shortfilename4%.mpr:=MapSubMap(%OutputDrive%\%OutputDir%\gwadiT_%shortfilename1%h%shortfilename2%%shortfilename3%%shortfilename4%,1,721,400,720)

"%IlwDir%\ilwis.exe" -C setgrf %OutputDrive%\%OutputDir%\gwadieast_%shortfilename1%h%shortfilename2%%shortfilename3%%shortfilename4%.mpr %UtilDir%\gwadi_east.grf
"%IlwDir%\ilwis.exe" -C setgrf %OutputDrive%\%OutputDir%\gwadiwest_%shortfilename1%h%shortfilename2%%shortfilename3%%shortfilename4%.mpr %UtilDir%\gwadi_west.grf

"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\gwadi_whole%shortfilename1%h%shortfilename2%%shortfilename3%%shortfilename4%.mpr:=MapGlue(gwadi.grf,%OutputDrive%\%OutputDir%\gwadieast_%shortfilename1%h%shortfilename2%%shortfilename3%%shortfilename4%,%OutputDrive%\%OutputDir%\gwadiwest_%shortfilename1%h%shortfilename2%%shortfilename3%%shortfilename4%,replace)

"%IlwDir%\ilwis.exe" -C %OutputDrive%\%OutputDir%\gwadi_%shortfilename1%hr%shortfilename2%%shortfilename3%%shortfilename4%:=iff(%OutputDrive%\%OutputDir%\gwadi_whole%shortfilename1%h%shortfilename2%%shortfilename3%%shortfilename4% ge 0,%OutputDrive%\%OutputDir%\gwadi_whole%shortfilename1%h%shortfilename2%%shortfilename3%%shortfilename4%,?)


del %OutputDrive%\%OutputDir%\gwadiT_%shortfilename1%h%shortfilename2%%shortfilename3%%shortfilename4%.mp*
del %OutputDrive%\%OutputDir%\gwadieast_%shortfilename1%h%shortfilename2%%shortfilename3%%shortfilename4%.mp*
del %OutputDrive%\%OutputDir%\gwadiwest_%shortfilename1%h%shortfilename2%%shortfilename3%%shortfilename4%.mp*
del %OutputDrive%\%OutputDir%\gwadi_whole%shortfilename1%h%shortfilename2%%shortfilename3%%shortfilename4%.mp*
del %OutputDrive%\%OutputDir%\raw%shortfilename1%hr%shortfilename2%%shortfilename3%%shortfilename4%.bin