@echo off
echo Extract NOAA STAR 
echo Archive used is ftp://ftp.star.nesdis.noaa.gov/pub/corp/scsb/wguo/GVIx/GVIx_VH_16km/VCI/
echo After extraction file name is GVIX_N?_G16_C07_VCI_Y1981_P35.hdf
echo Data extracted for a whole year!
echo Weekly time interval!


rem file name convention GVIX_N?_G16_C07_VCI_Y1981_P??.hdf

echo.
echo.


set longfilename=%1
set shortfilename1=%longfilename:~0,4%
set OutputDrive=%4
set OutputDir=%5
set GdalDir=%6
set IlwDir=%7
set UtilDir=%8

cd\
%OutputDrive%
cd %OutputDir%

echo your current working directory = %OutputDrive%\%OutputDir%
echo.
echo.

echo set OutputDrive=%4>inputparam.bat
echo set OutputDir=%5>>inputparam.bat
set GdalDir=%6>>inputparam.bat
echo set IlwDir=%7>>inputparam.bat
echo set UtilDir=%8>>inputparam.bat


@echo on

"%UtilDir%\wget\wget.exe" ftp://ftp.star.nesdis.noaa.gov/pub/corp/scsb/wguo/GVIx/GVIx_VH_16km/VCI/GVIX_N?_G16_C07_VCI_Y%shortfilename1%_P??.hdf



echo off
if not exist "%OutputDrive%\%OutputDir%\GVIX_N?_G16_C07_VCI_Y%shortfilename1%_P??.hdf"  goto MESSAGE
echo The file(s) "GVIX_N?_G16_C07_VCI_Y%shortfilename1%_P??.hdf" has been retrieved and transferred to your current working directory
echo.
echo.

GOTO START

:MESSAGE
echo The input file was not found in the archive.
echo Check your Date stamp settings
echo Your current Date stamp used is %shortfilename1%
echo Data is retrieved from ftp://ftp.star.nesdis.noaa.gov/pub/corp/scsb/wguo/GVIx/GVIx_VH_16km/VCI/
echo Check also manually if the data exists on ftp archive (see link above)
echo Internet has a transient nature - addresses might not be valid or has changed after some time!


pause

GOTO END

:START

copy %IlwDir%\Extensions\ISOD-Toolbox\toolbox_batchroutines\star_VCI_timestep.bat

for %%j in (GVIX_N?_G16_C07_VCI_Y%shortfilename1%_P*) do cmd /c star_VCI_timestep.bat %%j

del "%OutputDrive%\%OutputDir%\star_VCI_timestep.bat"

:END

del "%OutputDrive%\%OutputDir%\inputparam.bat"


"%IlwDir%\ilwis.exe" -C closeall